Ubuntu (Linux Mint 7)下安装 IE (ies4linux)

 我安装的 Linux 是 Linux Mint 7,它是基于 Ubuntu 9.04 的发行版,它提供一种更开箱即用的用户体验。如去除了顶端的任务栏,安装后即包括了浏览器插件(如 Flash),多媒体解码器,对 DVD 播放的支持,Java 和其他组件等。它与 Ubuntu 软件仓库完全兼容。

免去游戏方面,Linux 基本能应付得了日常事物的。可偏偏有些网站与 IE 结缘太深,更不争气的还就是 BlogJava,它的编辑器在非 IE 浏览器上处理 <textarea> 不能正常,所以我要考虑装个 IE 在 Linux 上。

所用的软件是 ies4linux,复数的,可以同时安装多个版本的 IE。它用样是由 wine 来模拟运行的,所以必须先安装 wine,你可以用新立得软件包管理器来安装 wine,也可以直接用 apt-get 来安装 wine。

然后是 ie24linux 的安装,安装步骤如下:

 wget http://www.tatanka.com.br/ies4linux/downloads/ies4linux-latest.tar.gz
 tar zxvf ies4linux-latest.tar.gz
 cd ies4linux-*
 ./ies4linux

当前版本是 2.99.0.1,那么会有图形界面提示你选择安装哪个 IE 版本(5.0/5.5/6.0/7.0),是否安装 flash 插件,在哪里加上菜单。也许你也和我一样有些不幸,安装过程大概在下载 IE_S1.CAB  时界面灰死掉,失败了。一启动 ies4linux 在控制台下就有这样的显示:

IEs4Linux 2 is developed to be used with recent Wine versions (0.9.x). It seems that you are using an old version. It's recommended that you update your wine to the latest version (Go to: winehq.com).grep: : 没有该文件或目录

 

有些莫名不知所以,但你的心还不能灰,还有它法,直接命令行下安装即可,或许你还觉得更省事。先来执行 ./ies4linux --help 看看命令的用法,执行 ./ies4linux --full-help 能看到更详尽的帮助。

比如我们只安装 IE6,那么就执行命令:

./ies4linux --install-corefonts --no-gui --no-color --locale CN --install-ie6

安装 IE7 的话,相应参数就要 --beta-install-ie7(目前还是 beta 的):

./ies4linux --install-corefonts --no-gui --no-color --locale CN --beta-install-ie7

之后就全在控制台上显示下载组件,安装进度。装完后会提示启动 IE 的命令分别是:

 /home/unmi/bin/ie6
 /home/unmi/bin/ie7

可惜它好像不知道怎么在桌面或开始菜单中建立快捷方式,这个关系不大,自己建上也行。接下来用 Linux 下的 IE 体验一下那些苛刻的网站吧,反正 BlogJava 的编辑器是 OK 啦。

参考:1. http://www.tatanka.com.br/ies4linux/page/Installation:Ubuntu
        2. http://www.linuxsir.org/bbs/thread347176.html
        3. http://ubuntuforums.org/showthread.php?t=703721

类别: Linux/Unix. 标签: , , , . 阅读(241). 订阅评论. TrackBack.

Leave a Reply

Be the First to Comment!

avatar